Views contain a combination of data that usually includes multiple, different objects. The primary purpose of a view is to save API calls and make data retrieval more efficient. Instead of doing multiple API calls and then combining the result yourself, you can perform a single API call against the view endpoint.
| Verb | URI | Description | |||||
| GET | /views/overview | Return the overview view for this account. | |||||
There are no required parameters for this call. You may filter returned entities by ID or URI with the optional query parameters URI and ID. Up to 100 entities may be selected individually per request.
Normal Response Code: 200
Error Response Codes: 400,401, 403, 404, 500, 503
This view includes a list of entities on your account and each entity's child check and alarm objects. Along with the child check and alarm objects it also includes the latest computed state for each check and alarm pair. If there is no latest state available for a check and alarm pair, it means the alarm hasn't been evaluated yet and the current state for this pair is 'UNKNOWN'.
Example 4.101. Get Overview Response: JSON
{
"values": [
{
"entity": {
"id": "enBBBBIPV4",
"label": "entity b v4",
"ip_addresses": {
"default": "127.0.0.1"
},
"metadata": null
},
"checks": [
{
"id": "chFour",
"label": "ch a",
"type": "remote.http",
"details": {
"url": "http://www.foo.com",
"method": "GET"
},
"monitoring_zones_poll": [
"mzA"
],
"timeout": 60,
"period": 150,
"target_alias": "default",
"target_hostname": "",
"target_resolver": "",
"disabled": false
}
],
"alarms": [
{
"id": "alThree",
"check_id": "chFour",
"criteria": "if (metric[\"size\"] >= 200) { return new AlarmStatus(CRITICAL); }",
"notification_plan_id": "npOne"
}
],
"latest_alarm_states": [
{
"timestamp": 1321898988,
"entity_id": "enBBBBIPV4",
"alarm_id": "alThree",
"check_id": "chFour",
"status": "everything is ok",
"state": "OK",
"previous_state": "WARNING",
"analyzed_by_monitoring_zone_id": null
}
]
},
{
"entity": {
"id": "enCCCCIPV4",
"label": "entity c v4",
"ip_addresses": {
"default": "127.0.0.1"
},
"metadata": null
},
"checks": [],
"alarms": [],
"latest_alarm_states": []
},
{
"entity": {
"id": "enAAAAIPV4",
"label": "entity a",
"ip_addresses": {
"default": "127.0.0.1"
},
"metadata": null
},
"checks": [
{
"id": "chOne",
"label": "ch a",
"type": "remote.http",
"details": {
"url": "http://www.foo.com",
"method": "GET"
},
"monitoring_zones_poll": [
"mzA"
],
"timeout": 60,
"period": 150,
"target_alias": "default",
"target_hostname": "",
"target_resolver": "",
"disabled": false
},
{
"id": "chThree",
"label": "ch a",
"type": "remote.http",
"details": {
"url": "http://www.foo.com",
"method": "GET"
},
"monitoring_zones_poll": [
"mzA"
],
"timeout": 60,
"period": 150,
"target_alias": "default",
"target_hostname": "",
"target_resolver": "",
"disabled": false
},
{
"id": "chTwo",
"label": "ch a",
"type": "remote.http",
"details": {
"url": "http://www.foo.com",
"method": "GET"
},
"monitoring_zones_poll": [
"mzA"
],
"timeout": 60,
"period": 150,
"target_alias": "default",
"target_hostname": "",
"target_resolver": "",
"disabled": false
}
],
"alarms": [
{
"id": "alOne",
"label": "Alarm 1",
"check_id": "chOne",
"criteria": "if (metric[\"duration\"] >= 2) { return new AlarmStatus(OK); } return new AlarmStatus(CRITICAL);",
"notification_plan_id": "npOne"
},
{
"id": "alTwo",
"label": "Alarm 2",
"check_id": "chOne",
"criteria": "if (metric[\"size\"] >= 200) { return CRITICAL } return OK",
"notification_plan_id": "npOne"
}
],
"latest_alarm_states": [
{
"timestamp": 1321898988,
"entity_id": "enAAAAIPV4",
"alarm_id": "alOne",
"check_id": "chOne",
"status": "matched return statement on line 7",
"state": "WARNING",
"previous_state": "OK",
"analyzed_by_monitoring_zone_id": null
},
{
"timestamp": 1321898988,
"entity_id": "enAAAAIPV4",
"alarm_id": "alOne",
"check_id": "chTwo",
"state": "CRITICAL",
"analyzed_by_monitoring_zone_id": null
}
]
}
],
"metadata": {
"count": 3,
"limit": 50,
"marker": null,
"next_marker": null,
"next_href": null
}
}
![]() | Note |
|---|---|
You may filter returned entities by URI or ID, but not both in the same request. When filtering by Entity ID, if any supplied Entity IDs are unknown or incorrect, the response will be a HTTP 404. When filtering by Entity URI, unknown URIs will be ignored, and entities will be returned for any correct URIs. A request filtering by Entity URI will only receive a HTTP 404 if no known URIs are supplied. |

![[Note]](/cm-v1.0-cm-devguide/common/images/admon/note.png)
